searchNodes=[{"doc":"Hashids lets you obfuscate numerical identifiers via reversible mapping. Example h = Hashids . new ( salt : &quot;my salt&quot; ) encoded = Hashids . encode ( h , [ 1 , 2 , 3 ] ) { :ok , [ 1 , 2 , 3 ] } = Hashids . decode ( h , encoded )","ref":"Hashids.html","title":"Hashids","type":"module"},{"doc":"Decode the given iodata back into a list of numbers.","ref":"Hashids.html#decode/2","title":"Hashids.decode/2","type":"function"},{"doc":"Decode the given iodata back into a list of numbers. Will raise a Hashids.DecodingError if the provided data is not a valid hash value or a Hashids struct with incompatible alphabet.","ref":"Hashids.html#decode!/2","title":"Hashids.decode!/2","type":"function"},{"doc":"Encode the given number or a list of numbers. Only non-negative integers are supported.","ref":"Hashids.html#encode/2","title":"Hashids.encode/2","type":"function"},{"doc":"Create a struct containing the configuration options for Hashids. It should be passed to encode/2 and decode/2 . Raises Hashids.Error if it encounters an invalid option. Options :alphabet – a string of characters to be used in the resulting hash value. By default, characters from the Latin alphabet and digits are used. :salt – a string that will be used to permute the hash value and make it decodable only by using the same salt that was provided during encoding. Default: empty string. :min_len – the minimum length of the resulting hash. Default: 0.","ref":"Hashids.html#new/1","title":"Hashids.new/1","type":"function"},{"doc":"","ref":"Hashids.DecodingError.html","title":"Hashids.DecodingError","type":"exception"},{"doc":"","ref":"Hashids.Error.html","title":"Hashids.Error","type":"exception"},{"doc":"Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Hashids.new() takes strings for the :alphabet and :salt options (instead of char lists). Hashids.encode() returns iodata instead of a char list. Hashids.decode() takes iodata instead of a char list and returns {:ok, result} or {:error, :invalid_input_data} . Hashids.decode!() has been added. It returns the bare result or raises.","ref":"changelog.html#v2-0-0-jun-10-2015","title":"Changelog - v2.0.0 - Jun 10, 2015","type":"extras"},{"doc":"Initial release on hex.pm.","ref":"changelog.html#v1-0-0-oct-26-2014","title":"Changelog - v1.0.0 – Oct 26, 2014","type":"extras"},{"doc":"The MIT License (MIT) Copyright (c) 2014 Alexei Sholik alcosholik@gmail.com Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"License","type":"extras"},{"doc":"Hashids Hashids lets you obfuscate numerical identifiers via reversible mapping. This is a port of Hashids from JavaScript.","ref":"readme.html","title":"Hashids","type":"extras"},{"doc":"Add Hashids as a dependency to your Mix project: defp deps do [ { :hashids , &quot;~&gt; 2.0&quot; } ] end","ref":"readme.html#installation","title":"Hashids - Installation","type":"extras"},{"doc":"Hashids encodes a list of integers into a string (technically, iodata). Some of the encoding parameters can be customized. s = Hashids . new ( [ salt : &quot;123&quot; , # using a custom salt helps producing unique cipher text min_len : 2 , # minimum length of the cipher text (1 by default) ] ) cipher1 = Hashids . encode ( s , 129 ) #=&gt; &quot;pE6&quot; cipher2 = Hashids . encode ( s , [ 1 , 2 , 3 , 4 ] ) #=&gt; &quot;4bSwImsd&quot; # decode() always returns a list of numbers Hashids . decode ( s , cipher1 ) #=&gt; {:ok, [129]} Hashids . decode! ( s , cipher2 ) #=&gt; [1, 2, 3, 4] It is also possible to customize the character set used for the cipher text by providing a custom alphabet. It has to be at least 16 characters long. defmodule MyAccessToken do @cyrillic_alphabet &quot;123456789абвгґдеєжзиіїйклмнопрстуфцчшщьюяАБВГҐДЕЄЖЗИІЇЙКЛМНОПРСТУФЦЧШЩЬЮЯ&quot; @coder Hashids . new ( alphabet : @cyrillic_alphabet ) def encode ( token_ids ) do Hashids . encode ( @coder , token_ids ) end def decode ( data ) do Hashids . decode ( @coder , data ) end end data = MyAccessToken . encode ( [ 1234 , 786 , 21 , 0 ] ) #=&gt; &quot;ЦфюєИНаЛ1И&quot; MyAccessToken . decode ( data ) #=&gt; {:ok, [1234, 786, 21, 0]}","ref":"readme.html#usage","title":"Hashids - Usage","type":"extras"},{"doc":"See the changelog .","ref":"readme.html#migrating-from-1-0","title":"Hashids - Migrating from 1.0","type":"extras"},{"doc":"Copyright (c) 2014 Alexei Sholik This software is licensed under the MIT license .","ref":"readme.html#copyright-and-license","title":"Hashids - Copyright and License","type":"extras"}]